Take the 2-minute tour ×
Super User is a question and answer site for computer enthusiasts and power users. It's 100% free, no registration required.


Using Windows XP SP3. I installed the xampp to d:\xampp.
I started it and everything worked fine (at least the indications were good).
I want to use MediaWiki and it says that it can't work with PHP5.1 which is the version installed by XAMPP.

I followed the instructions I found in this thread, but now the Apache service does not start.
The control panel for XAMPP says that the Apache service started though it does not show an indication of running.

I am not familiar with the XAMPP at all. I don't know where to look for the error.

Question: How do I upgrade to PHP 5.3


I Must have gone blind or something...
Reinstalling XAMPP revealed that the version of the PHP is 5.3.1 as suggested by itadok's answer

My mistake was that I checked the phpmyadmin for the version and it stated server version and not PHP version.

share|improve this question

3 Answers 3

up vote 2 down vote accepted

Looking at the release notes, it seems that the latest XAMPP comes with PHP 5.3.1. So I suggest you just download the latest XAMPP version.

share|improve this answer
    
bummer. I must have downloaded an old version... I'll try that and get back. –  Shaihi Feb 17 '10 at 14:48
    
Looking at it, I installed XAMPP version 1.7.3 (supposed to have PHP 5.3), but in phpmyadmin it showed a status of an old PHP version. I am reinstalling to see where I messed up. –  Shaihi Feb 17 '10 at 14:52

Maybe you can just install a newer version of xampp? I do not know where you using xampp for. I it is just for one project, you probably can just install a newer version. And in your XAMPP window is there a option to click on called Setup? Maybe you can relocate your xampp folder.

Let me now.

share|improve this answer

I strongly recommend downloading the bitnami stack for Mediawiki here. This will save you more hassle installing mediawiki itself.

share|improve this answer
    
Looks good. I already resolved my problem so I won't use this for now, but thanks –  Shaihi Feb 18 '10 at 8:02

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.